Bug 127638 - Heavy traffic to USB device through usb hub kills all USB on FC2 kernel 2.6.6
Heavy traffic to USB device through usb hub kills all USB on FC2 kernel 2.6.6
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-11 19:31 EDT by Michael Torrie
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Torrie 2004-07-11 19:31:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.14

Description of problem:
When printing to a printer via a usb to parallel cord through a 7-port
USB2 D-link hub, the syslog reports disconnected usb device, and all
usb devices on the system, including those plugged directly into the
motherboard stop functionioning and any usb device unplugged or
plugged in is not noticed by th kernel at all.  When this occurs khubd
goes into uninterruptable sleep mode.  This behavior is also manifest
when accessing a usb flash reader plugged into the hub.  This problems
seems to be triggered by heavy traffic to the usb device.  For
example, printing normal word processing jobs and merely doing an ls
on the flash card work fine.  But a large print job (complicatd page
with lots of data) and running a program like gqview on the flash card
(generating thumbnails) causes the disconnect message and the whole
usb subsystem to become unresponsive.

This problem does not occur on kernel 2.6.5-1.315 from FC1, but does
occur on kernel 2.6.5-1.358 from FC2.

There is no output in the logs except something like this:
Jul 11 16:09:53 enterprise kernel: usb 1-6: USB disconnect, address 2
Jul 11 16:09:53 enterprise kernel: usb 1-6.1: USB disconnect, address 3
Jul 11 16:09:53 enterprise kernel: usb 1-6.3: USB disconnect, address 4

followed by this error over and over (which is to be expected):
Jul 11 16:09:57 enterprise kernel: drivers/usb/class/usblp.c: usblp0:
error -19 reading printer status



Version-Release number of selected component (if applicable):
kernel-2.6.6-1.435.2.3

How reproducible:
Always

Steps to Reproduce:
1. Plug in 7-port usb2 d-link hub, attach usb storage or printer.
2. create heavy usb activity
3. watch usb mouse turn off
    

Actual Results:  the hub disconnected, all usb devices dead, khubd is
in D state, no USB port on the system responds

Expected Results:  printing should work, accessing usb storage device
should work just fine.

Additional info:
Comment 1 Michael Torrie 2004-07-12 10:25:09 EDT
Neglected to mention that plugging the storage device or printer
directly into the usb ports on the machine seems to work fine on all
the kernels I tested.  This problem is only manifest when using the
devices via the 7-port usb2 d-link hub.
Comment 2 Barry K. Nathan 2004-07-15 01:14:29 EDT
If you try a test kernel from one of the following places, does the
problem still occur?

+ rawhide (a.k.a. fc-devel)
+ FC3 test 1
+ http://people.redhat.com/arjanv/2.6/
Comment 3 David Lawrence 2004-09-29 16:31:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.